Entity and resource types
Update an entity type
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Entity type UUID.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/entity_types/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "entity_types", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attributes": {} } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "entity_types", "attributes": { "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f", "name": "string", "code": "string", "deletable": true, "custom": true }, "relationships": { "resource_types": { "data": [ { "type": "resource_types", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "links": { "self": "/entity_types/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/resource_types", "related": "/entity_types/7247ad7d-9275-454b-9e3a-0570e403739e/resource_types" } } } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}